## org.omg.CORBA
Class INITIALIZE

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.INITIALIZE

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class INITIALIZE
extends SystemException

An ORB has encountered a failure during its initialization, such as failure to acquire networking resources or detecting a configuration error.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`INITIALIZE()`
`INITIALIZE(int minor, CompletionStatus completed)`
`INITIALIZE(java.lang.String orb_reason)`
`INITIALIZE(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### INITIALIZE

    public INITIALIZE()

### INITIALIZE

    public INITIALIZE(java.lang.String orb_reason)

### INITIALIZE

    public INITIALIZE(int minor,
                      CompletionStatus completed)

### INITIALIZE

    public INITIALIZE(java.lang.String orb_reason,
                      int minor,
                      CompletionStatus completed)